#
# spec file for package rubygem-devise_unix2_chkpwd_authenticatable
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rubygem-devise_unix2_chkpwd_authenticatable
Version:        0.4.1
Release:        12.3
%define mod_name devise_unix2_chkpwd_authenticatable
%define mod_full_name %{mod_name}-%{version}

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 1

%if 0%{?suse_version} >= 1220
Requires:	pam-modules
%endif

Url:            http://github.com/dmacvicar/devise_unix2_chkpwd_authenticatable
Source:         %{mod_full_name}.gem
Summary:        Devise PAM authentication module using unix2_chkpwd
License:        MIT
Group:          Development/Languages/Ruby

%description
For authenticating against PAM (Pluggable Authentication Modules)

%package doc
Summary:        RDoc documentation for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}

%description doc
Documentation generated at gem installation time.
Usually in RDoc and RI formats.

%prep
#gem_unpack
#if you need patches, apply them here and replace the # with a % sign in the surrounding lines
#gem_build

%build

%install
%gem_install -f

%files
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_full_name}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_full_name}.gemspec

%files doc
%defattr(-,root,root,-)
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_full_name}/

%changelog
* Mon Aug 26 2013 lslezak@suse.cz
- require pam-modules package (provides /sbin/unix2_chkpwd)
  (bnc#809579)
* Thu Aug  2 2012 lslezak@suse.cz
- updated to 0.4.1: added HTTP Basic authentication support,
  fixed logging
* Tue Jul 31 2012 jreidinger@suse.com
- use new gem2rpm to work with new dependencies
* Wed Jun  6 2012 lslezak@suse.cz
- updated to 0.4: fixed Open3 usage, support for Ruby 1.9
* Mon Feb  6 2012 lslezak@suse.cz
- updated to 0.3: fixed shell command injection vulnerability,
  fixed logging, use open3 instead of session gem
* Wed Feb  1 2012 lslezak@suse.cz
- updated to 0.2
* Tue Jan 31 2012 lslezak@suse.cz
- initial version
- 0.1
